Owner of the house in the [City of the South](../locations/City%20of%20the%20South.md) who the party is renting for a very small amount of money

It was revealed in [Session_201025](../campaings/Session_201025.md) that guards are pursuing [Rircin](Rircin.md) thinking that it is him.